Package org.opensaml.soap.common

# Interface SOAPHandler

All Superinterfaces:
  `Component`, `InitializableComponent`, `MessageHandler`

public interface SOAPHandler extends MessageHandler
Interface for `MessageHandler`s that are specific to SOAP message processing.

## Method Summary

Modifier and Type
Method
Description
`Set<QName>`
`understandsHeaders()`
Get the set of SOAP header names that the handler indicates it understands.

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface org.opensaml.messaging.handler.MessageHandler

`invoke`

## Method Details

### understandsHeaders

@Nonnull Set<QName> understandsHeaders()
Get the set of SOAP header names that the handler indicates it understands.

Returns:
  unmodifiable set of understood header names, possibly empty